set CORE10GMACver {3.0.101}
set COREABCver {4.1.111}
set CoreAPB3ver {4.2.100}
set CoreAPB3ver {4.2.100}
set CORERESET_PFver {2.3.100}
set mipicsi2rxdecoderPFver {5.1.0}
set MIPI_TRAINING_LITEver {1.0.0}
set MIPI_TRAINING_LITEver {1.0.0}
set MIPI_TRAINING_LITEver {1.0.0}
set MIPI_TRAINING_LITEver {1.0.0}
set PF_CCCver {2.2.220}
set PF_CCCver {2.2.220}
set PF_INIT_MONITORver {2.0.308}
set PF_IOD_GENERIC_RXver {2.1.113}
set PF_SYSTEM_SERVICESver {3.0.103}
set PF_TX_PLLver {2.0.304}
set PF_XCVR_ERMver {3.1.206}
set PF_XCVR_REF_CLKver {1.0.103}

#tool profiles 
set synprofile1 {Synplify Pro ME}
set simuprofile1 {QuestaSim ME} 

#device details
set die_eval {MPF200T}
set eval_package {FCG784}
set eval_part_range {EXT}

# A common procedure called by all tests.

# Computes the runtime for each command run in Libero

proc run_tool_wrapper { cmd } {

# get tool name from the command

regexp {run_tool\s+-name\s+\{*(\w*)\}*} $cmd full1 tool;

puts "Starting $tool command";

set full_cmd  "time \{ $cmd \}" ;

set TIME_start [clock seconds];

set runtime [eval $full_cmd ];

set TIME_taken [expr [clock seconds] - $TIME_start];

puts  "\nRUNTIME:$tool=$TIME_taken secs\n";

set runtime_secs [ expr [lindex $runtime 0]/1000000];

puts "\nRUNTIME_bytime:$tool=$runtime_secs secs\n"; 
}
